#include "Tinyxml/tinystr.h"
#include "Tinyxml/tinyxml.h"
#include "Tinyxml/tinystr.h"
#include "Tinyxml/tinyxml.cpp"
#include "Tinyxml/tinystr.cpp"
#include "Tinyxml/tinyxmlerror.cpp"
#include "Tinyxml/tinyxmlparser.cpp"
#include <iostream>
#include "xml.h"


using namespace std;



dificultad getDifficultad(const char* file){
    TiXmlDocument doc(file);
	bool loadOkay = doc.LoadFile();
	dificultad d;
	if (loadOkay){


        TiXmlHandle hDoc(&doc);
        TiXmlElement* pElem;
        TiXmlHandle hRoot(0);


        {
            pElem=hDoc.FirstChildElement().Element();
            if (!pElem) return d;
            hRoot=TiXmlHandle(pElem);
        }

        {   TiXmlElement* pDifficultyNode=hRoot.FirstChild( "Normal" ).FirstChild().Element();
            for( pDifficultyNode; pDifficultyNode; pDifficultyNode=pDifficultyNode->NextSiblingElement())
            {
                pDifficultyNode->QueryFloatAttribute("rad_city", &d.RAD_CITY);
                pDifficultyNode->QueryFloatAttribute("separacion_city", &d.SEPARACION_CITYS);
                pDifficultyNode->QueryIntAttribute("dificultad", &d.DIFICULTAD);
                pDifficultyNode->QueryIntAttribute("puntos_avion", &d.PUNTOS_AVION);
                pDifficultyNode->QueryIntAttribute("puntos_misil", &d.PUNTOS_MISIL);
                pDifficultyNode->QueryIntAttribute("cant_hit_avion", &d.CANT_HIT_AVION);
                pDifficultyNode->QueryIntAttribute("por_hit", &d.POR_HIT);
            }
        }
        return d;
	}
	else{
		cerr << "Error al cargar el archivo xml " << file;
		return d;
	}
}
