#include "Proyectil.h"

Proyectil::Proyectil(obj_type_ptr modelo,float x, float y, float z, float dir_x, float dir_y, float dir_z){
    this->modelo = modelo;
    this->x = x;
    this->z = z;
    this->y = y;

    //this->dir_x = x - dir_x;
    //this->dir_y = y -  dir_y;
    //this->dir_z = z - dir_z;
    float norma = sqrt(pow(dir_x,2)+pow(dir_y,2)+pow(dir_z,2));
    this->dir_x = dir_x / norma;
    this->dir_y = dir_y / norma;
    this->dir_z = dir_z / norma;

    this->activo = true;
}

Proyectil::~Proyectil(){}

void Proyectil::recalcularPosicion(float velocidad){
    this->x = this->x + this->dir_x*velocidad;
    this->y = this->y + this->dir_y*velocidad;
    this->z = this->z + this->dir_z*velocidad;
}

obj_type_ptr Proyectil::getModelo(){
    return this->modelo;
}

float Proyectil::getX(){
    return this->x;
}

float Proyectil::getY(){
    return this->y;
}

float Proyectil::getZ(){
    return this->z;
}

bool Proyectil::getActivo(){
    return this->activo;
}

void Proyectil::desactivar(){
    this->activo = false;
}
