#define _USE_MATH_DEFINES

#include "SDL.h"
#include <iostream>
#include "SDL_image.h"
#include "SDL_opengl.h"
#include "Vector3D.h"
#include "GeneralSettings.h"

#define img_textura_asteroids "..\\Tarea1\\images\\asteriod.bmp"

#define numSteps 100
#define radioNormal 1.5
#define velocidadAsteriode 0.05

class Asteroid
{
	private:
		bool isNull;
		unsigned int textura;
		int radius;
		int numPts;
		Vector3D posActual;
		Vector3D velocidad;
		float matriz[numSteps][numSteps][6];
	public:
		Asteroid();
		void setValores(float X, float Y, float Z, Vector3D vCaida);
		void draw(bool mov);
		float getX();
		float getY();
		float getZ();
		bool IsNull();
		void setNull();
		~Asteroid();
};
