#define _USE_MATH_DEFINES

#include "SDL.h"
#include <iostream>
#include "SDL_image.h"
#include "SDL_opengl.h"
#include "Vector3D.h"
#include "Explosion.h"
#include "GeneralSettings.h"

#define img_textura_bullet "..\\Tarea1\\images\\bullet.bmp"
#define num_step 100
#define radio 0.4
#define cantEstela 4

class Bullet
{
	private:
		bool isNull;
		unsigned int textura;
		Vector3D posActual;
		Vector3D velocidad;
		Explosion explo[cantEstela];
		int nextEstela;
	public:
		Bullet();
		void setValores(float X, float Y, float Z, float anguloX, float anguloYs);
		void draw(bool mov);
		float getX();
		float getY();
		float getZ();
		bool IsNull();
		void setNull();
		void destEst();
		~Bullet();
};
