#include "Asteroids.h"
#include "Bullet.h"
#include "Modelo.h"
#include "Vector3D.h"

#define posYSatelite -5.0
#define tBetweenAst 6000

class Colisionador
{
	private:
		// Bullets
		int cantBullets;
		Bullet* bull;
		Explosion* explo;

		// Asteroides
		int cantAsteroids;
		Asteroid* ast;
		Uint32 tAsteroide;
		void newAsteroid();
		int cantAstDestruidos;
		int puntajeAnt;

		// Satelites
		int cantSatelites;
		Modelo* sat;
		float* posXSatelite;
		float* posZSatelite;
		int cantSatDestruidos;

		// Deteccin colisiones y lmites
		void colisionar();
	public:
		Colisionador(int cantBull, int cantAst, int cantSat);
		void newBullet(float posX, float posY, float posZ, float angX, float angY);
		void draw(bool mov);
		int getSatRestantes();
		int getPuntaje();
		bool pasarNivel();
		void cambiarNivel(int cantAst, int cantSat, bool inicio);
		~Colisionador();
};
