#include "Vector3D.h"
#include "SDL_opengl.h"
#include "GeneralSettings.h"

#define NUM_PARTICLES    200
#define NUM_DEBRIS       50


struct particleData
{
	Vector3D   position;
	Vector3D   speed;
	float   color[4];
};
typedef struct particleData    particleData;

struct debrisData
{
	Vector3D   position;
	Vector3D   speed;
	float   color[4];
	float   scale[3];
};
typedef struct debrisData    debrisData;


class Explosion
{
	private:
		float fuel;
		bool isNull;
		Vector3D posicionActual;
		Vector3D velocidad;
		particleData particulas[NUM_PARTICLES];
		debrisData debris[NUM_DEBRIS];
	public:
		Explosion();
		void setPosicionExp(Vector3D pos);
		void setEstela(Vector3D pos);
		void drawExp(bool mov);
		void drawEst(Vector3D velBala, bool mov);
		bool IsNull();
		void setNull();
		~Explosion();
};
