#pragma once

class GeneralSettings
{
	private:
		static GeneralSettings* instance;
		GeneralSettings();

		// Variables juego
		int FPS;
		int cantidadCanones[3];
		int cantidadBullets;
		int cantidadAsteroids[3];
		int cantidadSatelites[3];
		int satelitesRestantes;
		bool wireframeOn;
		bool facetadoOInterpolado;
		bool texturasOn;
		int luzActivada;
		int nivel;
		float velocidad;
	public:
		static GeneralSettings* Instance();
		~GeneralSettings();
		void loadSettings();

		// Metodos juego
		int getLevel();
		void changeLevel();
		void setLevel();
		int getFPS();
		int getCantCanones();
		int getCantBullets();
		int getCantAsteroids();
		int getCantSatelites();
		int getSatelitesRestantes();
		void setSatelitesRestantes(int s);
		float getVelocidad();
		void upVelocidad();
		void downVelocidad();
		bool getWireframeOn();
		void changeWirefreameState();
		bool getFacetado();
		void changeFacetadoState();
		bool getTexturasOn();
		void changeTexturasState();
		int getLuzActivada();
		void changeLuzActivada();
};

