#pragma once

#include "GL/gl.h"

class Light
{
private:
	GLfloat lightPosition[4];
	GLfloat lightAmbient[4];
	GLfloat lightDiffuse[4];
	bool state;

public:
	Light();
	void setPosX(float x);
	void setPosY(float y);
	void setPosZ(float z);
	void setColorR(float r);
	void setColorG(float g);
	void setColorB(float b);
	GLfloat getPosition(unsigned int axis);
	GLfloat getColor(unsigned int type);
	bool getState();
	void enable();
	void disable();
	~Light();
};
