#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <GL/gl.h>
#include <GL/glu.h>

#include "SDL.h"
#include <sys/stat.h>

#define MAX_VERTICES 15000
#define MAX_POLYGONS 15000

typedef struct{
    float x,y,z;
}vertex_type;

typedef struct{
    int a,b,c;
}polygon_type;

typedef struct{
    float u,v;
}mapcoord_type;

typedef struct {
	char name[20];

	int vertices_qty;
    int polygons_qty;

    vertex_type vertex[MAX_VERTICES];
    polygon_type polygon[MAX_POLYGONS];
    mapcoord_type mapcoord[MAX_VERTICES];
    int id_texture;
} obj_type, *obj_type_ptr;

extern char Load3DS(obj_type_ptr ogg, char *filename);

void dibujar3DS(obj_type o, bool texturado, float X, float Y, float Z);
