#include "..\headers\Map.h"

Map::Map()
{
	char* imagen = img_textura_map;

	glGenTextures(1, &textura);
	SDL_Surface* img = SDL_LoadBMP(imagen);
	glGenTextures(1, &textura);
	glBindTexture(GL_TEXTURE_2D, textura);
	glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_REPLACE);
	glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
	glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR);
	glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT);
	glTexParameterf(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT);
	glTexImage2D(GL_TEXTURE_2D, 0, GL_RGB, img->w, img->h, 0, GL_BGR, GL_UNSIGNED_BYTE, img->pixels);
	SDL_FreeSurface(img);
}

void Map::draw()
{
	//glEnable(GL_TEXTURE_2D);

	glBindTexture(GL_TEXTURE_2D, textura);

	glBegin(GL_QUADS);
	glTexCoord2f(0, 0);
	glVertex3f(50.0, -5.0, 50.0);
	glTexCoord2f(1, 0);
	glVertex3f(50.0, -5.0, -50.0);
	glTexCoord2f(1, 1);
	glVertex3f(-50.0, -5.0, -50.0);
	glTexCoord2f(1, 0);
	glVertex3f(-50.0, -5.0, 50.0);
	glEnd();
}

Map::~Map()
{

}