#include <iostream>
#include "SDL/SDL.h"
#include "SDL/SDL_opengl.h"
#include <math.h>       /* sin */
#include "FreeImage.h"
#include <stdlib.h>
#include <time.h>
#include <ctime>
#include "misil.h"
#define _USE_MATH_DEFINES
#define FPS 60
using namespace std;



Misil getMisil(float altura, float radioinferior, float radiosuperior, float Ox, float Oy, float Oz, int DIFICULTAD){
        srand(time(NULL)+rand());
        float randomspeed = rand()/RAND_MAX;
        float randomx = rand()*2.0/RAND_MAX - 1;
        float PosIx = radiosuperior*randomx;
        float randomy = rand()*2.0/RAND_MAX - 1;
        float PosIy = radiosuperior*randomy;
        float PosIz = 0 - altura;
        randomx = rand()*2.0/RAND_MAX - 1;
        float PosFx = radioinferior*randomx;
        randomy = rand()*2.0/RAND_MAX - 1;
        float PosFy = radioinferior*randomy;
        float PosFz = Oz;
        float velx = 0.5+randomspeed*0.1;
        float vely = 0.5+randomspeed*0.1;
        float velz = 0.5+randomspeed*0.1;
        struct Misil m1;
        m1.xInicial = PosIx + Ox;
        m1.yInicial = PosIy + Oy;
        m1.zInicial = PosIz + Oz;
        m1.xFinal = PosFx + Ox;
        m1.yFinal = PosFy + Oy;
        m1.zFinal = PosFz + Oz;
        m1.t0 = clock();
        m1.velocx = velx*(DIFICULTAD/5);
        m1.velocy = vely*(DIFICULTAD/5);
        m1.velocz = velz*(DIFICULTAD/5);
        m1.xActual = m1.xInicial;
        m1.yActual = m1.yInicial;
        m1.zActual = m1.zInicial;
        m1.vivo = true;
        m1.explotando = false;
        m1.explosionesrestantes = 25;

       float xSpeedVal = 0.02 - (rand() / (float)RAND_MAX) *maxYSpeed;
       float ySpeedVal = baselineYSpeed - ((float)rand() / (float)RAND_MAX) * maxYSpeed;

    // Set initial x/y location and speeds
    for (int loop = 0; loop < MISIL_PARTICLES; loop++)
    {
        /*m1.x_particle[loop] = m1.xInicial;
        m1.y_particle[loop] = m1.yInicial;
        m1.x_particleSpeed[loop] = xSpeedVal;
        m1.y_particleSpeed[loop] = ySpeedVal;*/
        m1.x_particle[loop] = 0;
        m1.y_particle[loop] = 0;
        m1.x_particleSpeed[loop] = xSpeedVal;
        m1.y_particleSpeed[loop] = ySpeedVal;
    }

        return m1;
};

