#ifndef MISIL_H_INCLUDED
#define MISIL_H_INCLUDED
#include <ctime>

const int MISIL_PARTICLES = 50;  // Numero de particulas por misil
const GLfloat GRAVITY = 0.05f;
const GLfloat baselineYSpeed = 0.04f;
const GLfloat maxYSpeed = 0.04f;

struct Misil{
    float xInicial,yInicial,zInicial;
    float xFinal,yFinal,zFinal;
    float xActual,yActual,zActual;
    float velocx,velocy,velocz;
    clock_t t0;
    bool vivo;
    bool explotando;
    int explosionesrestantes;
    GLfloat x_particle[MISIL_PARTICLES];
    GLfloat y_particle[MISIL_PARTICLES];
    GLfloat x_particleSpeed[MISIL_PARTICLES];
    GLfloat y_particleSpeed[MISIL_PARTICLES];

};

Misil getMisil(float altura, float radioinferior, float radiosuperior, float Ox, float Oy, float Oz, int DIFICULTAD);

#endif // MISIL_H_INCLUDED
