#include "Iluminacion.h"
#include "SDL/SDL_opengl.h"


void iluminar(float red,float green,float blue,float x,float y, float z){
    glTexEnvf( GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE );
    GLfloat mat_ambient[] = { 0.2, 0.2, 0.2, 1.0 };
    GLfloat mat_specular[] = { 1.0, 1.0, 1.0, 1.0 };
    GLfloat mat_shininess[] = { 1 };
    GLfloat light_specular[] = { red, green, blue, 1.0 };

    GLfloat light_ambient[] = {0.5,0.5,0.5,1.0};

    GLfloat light_position[] = { x, y+20, z, 1 };

    glLightfv(GL_LIGHT0,GL_SPECULAR, light_specular);
    glMaterialfv(GL_FRONT_AND_BACK, GL_SPECULAR, mat_specular);
    glMaterialfv(GL_FRONT_AND_BACK, GL_AMBIENT, mat_ambient);
    glMaterialfv(GL_FRONT_AND_BACK, GL_SHININESS, mat_shininess);
    glLightfv(GL_LIGHT0, GL_POSITION, light_position);
    glLightfv(GL_LIGHT0,GL_AMBIENT, light_ambient);

    glLightModeli(GL_LIGHT_MODEL_TWO_SIDE, GL_FALSE);
    glLightModeli(GL_LIGHT_MODEL_LOCAL_VIEWER, GL_TRUE);

    glEnable(GL_LIGHTING);
    glEnable(GL_LIGHT0);
}
